/*
 * Copyright (C) 1996-2003 LAAS/CNRS 
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */
/* $LAAS: objets.h,v 1.13 2004/03/01 11:36:46 simon Exp $ */

#ifndef _OBJECTS_H
#define _OBJECTS_H
extern int polylineCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int reedShepCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int boxCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int prismCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int cylinderCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int polygonCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int sphereCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int ellipsoidCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int diskCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int repereCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int pictureCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int concaveCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
#endif /* _OBJECTS_H */
